For the complete documentation index, see llms.txt. This page is also available as Markdown.

User

User

Get full account info

get
/account

Get full account information for a logged-in user. This will return information for all tenants the user has access to.

Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Responses
200

User account response

application/json
globalRolesstring[]Required
defaultTenantUidstringRequiredPattern: ^[A-Za-z0-9-_]+
get/account
200

User account response

Login user

post
/account

Login as a tenant user

Requires a valid deviceToken

Authorizations
AuthorizationstringRequired

The devicetoken is only used for to attach devices and tie it to a tenant

Body
passwordstringRequired
userCodestringRequired
Responses
200

Example response

application/json
accessTokenstringRequired
post/account
200

Example response

Update global account information

put
/account

Update global information about logged in user

Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Body
defaultTenantUidstringRequiredPattern: ^[A-Za-z0-9-_]+
Responses
200

User account response

application/json
globalRolesstring[]Required
defaultTenantUidstringRequiredPattern: ^[A-Za-z0-9-_]+
put/account
200

User account response

Get account info for a specific tenant

get
/tenants/{tenantUid}/account

Get tenant information about logged-in user

Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
Responses
200

Tenant user respose

application/json
accountTypestring · enumRequired
ENUMDescription
FULLAccess to backoffice and onboarding of new devices
REGULARCan only login to already onboarded devices
SUPPORTSupport account
INTEGRATIONComputer integration account
Possible values:
createdAtstring · date-timeRequired
defaultStoreUidstringOptionalPattern: ^[A-Za-z0-9-_]*
displayNamestringRequired
emailstringRequired
externalIdstringRequired
firstnamestringRequired
lastAccessedstring · date-timeRequired
lastModifiedAtstring · date-timeRequired
lastnamestringRequired
mobilestringRequired
statusstring · enumRequiredPossible values:
tenantUidstringRequiredPattern: ^[A-Za-z0-9-_]+
tenantNamestringRequired
tenantRolestring · enumRequired
ENUMDescription
BLOCKEDBlocked from this tenant
ACCESSOnly access to the tenant.
ADMINTenant admin, allow full access to tenant and can add users and new stores.
BACKOFFICEAccess to product, pricelists, etc.
Possible values:
tenantUserUidstringRequiredPattern: ^[A-Za-z0-9-_]+
userCodestringRequired
languageCodestringRequired

ISO 639-1 code for language

get/tenants/{tenantUid}/account
200

Tenant user respose

Generate accessToken from authToken

post
/tenants/{tenantUid}/account

Generate access token from auth token

Authorizations
AuthorizationstringRequired

Token received from the auth service

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
Responses
200

Tenant user respose

application/json
accountTypestring · enumRequired
ENUMDescription
FULLAccess to backoffice and onboarding of new devices
REGULARCan only login to already onboarded devices
SUPPORTSupport account
INTEGRATIONComputer integration account
Possible values:
createdAtstring · date-timeRequired
defaultStoreUidstringOptionalPattern: ^[A-Za-z0-9-_]*
displayNamestringRequired
emailstringRequired
externalIdstringRequired
firstnamestringRequired
lastAccessedstring · date-timeRequired
lastModifiedAtstring · date-timeRequired
lastnamestringRequired
mobilestringRequired
statusstring · enumRequiredPossible values:
tenantUidstringRequiredPattern: ^[A-Za-z0-9-_]+
tenantNamestringRequired
tenantRolestring · enumRequired
ENUMDescription
BLOCKEDBlocked from this tenant
ACCESSOnly access to the tenant.
ADMINTenant admin, allow full access to tenant and can add users and new stores.
BACKOFFICEAccess to product, pricelists, etc.
Possible values:
tenantUserUidstringRequiredPattern: ^[A-Za-z0-9-_]+
userCodestringRequired
languageCodestringRequired

ISO 639-1 code for language

post/tenants/{tenantUid}/account
200

Tenant user respose

Update account info

put
/tenants/{tenantUid}/account

Update information about logged in user

Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
Body

Update the tenant account

defaultStoreUidstringOptionalPattern: ^[A-Za-z0-9-_]*
displayNamestringOptional
emailstringOptional
firstnamestringOptional
lastnamestringOptional
mobilestringOptional
passwordstringOptional
languageCodestringOptional

ISO 639-1 code for language

Responses
200

Tenant user respose

application/json
accountTypestring · enumRequired
ENUMDescription
FULLAccess to backoffice and onboarding of new devices
REGULARCan only login to already onboarded devices
SUPPORTSupport account
INTEGRATIONComputer integration account
Possible values:
createdAtstring · date-timeRequired
defaultStoreUidstringOptionalPattern: ^[A-Za-z0-9-_]*
displayNamestringRequired
emailstringRequired
externalIdstringRequired
firstnamestringRequired
lastAccessedstring · date-timeRequired
lastModifiedAtstring · date-timeRequired
lastnamestringRequired
mobilestringRequired
statusstring · enumRequiredPossible values:
tenantUidstringRequiredPattern: ^[A-Za-z0-9-_]+
tenantNamestringRequired
tenantRolestring · enumRequired
ENUMDescription
BLOCKEDBlocked from this tenant
ACCESSOnly access to the tenant.
ADMINTenant admin, allow full access to tenant and can add users and new stores.
BACKOFFICEAccess to product, pricelists, etc.
Possible values:
tenantUserUidstringRequiredPattern: ^[A-Za-z0-9-_]+
userCodestringRequired
languageCodestringRequired

ISO 639-1 code for language

put/tenants/{tenantUid}/account
200

Tenant user respose

Get tenant invitation information

get
/account/invite

Get information about invitation to a tenant

Header parameters
x-invite-tokenstringRequired

invite token

Responses
200

Example response

application/json
get/account/invite
200

Example response

Accept tenant invitation

put
/account/invite

Accept invitation to a tenant

Authorizations
AuthorizationstringRequired

Token received from the auth service

Body

Accept an invitation

inviteTokenstringRequired
Responses
200

Tenant user respose

application/json
accountTypestring · enumRequired
ENUMDescription
FULLAccess to backoffice and onboarding of new devices
REGULARCan only login to already onboarded devices
SUPPORTSupport account
INTEGRATIONComputer integration account
Possible values:
createdAtstring · date-timeRequired
defaultStoreUidstringOptionalPattern: ^[A-Za-z0-9-_]*
displayNamestringRequired
emailstringRequired
externalIdstringRequired
firstnamestringRequired
lastAccessedstring · date-timeRequired
lastModifiedAtstring · date-timeRequired
lastnamestringRequired
mobilestringRequired
statusstring · enumRequiredPossible values:
tenantUidstringRequiredPattern: ^[A-Za-z0-9-_]+
tenantNamestringRequired
tenantRolestring · enumRequired
ENUMDescription
BLOCKEDBlocked from this tenant
ACCESSOnly access to the tenant.
ADMINTenant admin, allow full access to tenant and can add users and new stores.
BACKOFFICEAccess to product, pricelists, etc.
Possible values:
tenantUserUidstringRequiredPattern: ^[A-Za-z0-9-_]+
userCodestringRequired
languageCodestringRequired

ISO 639-1 code for language

put/account/invite
200

Tenant user respose

List subscribers

get
/tenants/{tenantUid}/stores/{storeUid}/subscribers

List subscribers for a store.

Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
storeUidstringRequired

Reference to a Store.

Pattern: ^[A-Za-z0-9-_]+
Query parameters
pageNumberintegerOptional

Reference to a specific page in a result set.

pageSizeintegerOptional

The number of items per page in a result set.

sortBystringOptional

Defines which field the resource list is sorted by.

sortDirectionstring · enumOptional
ENUMDescription
ASCSort in ascending order
DESCSort in descending order
Possible values:
subscriptionTypestring · enumOptional

Reference to subscription type

Possible values:
tenantUserUidsstring[]Optional

Filter on tenant users

Responses
200

Example response

application/json
get/tenants/{tenantUid}/stores/{storeUid}/subscribers
200

Example response

Create subscriber

post
/tenants/{tenantUid}/stores/{storeUid}/subscribers

Create new subscriber.

Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
storeUidstringRequired

Reference to a Store.

Pattern: ^[A-Za-z0-9-_]+
Body
subscriberUidstringOptionalPattern: ^[A-Za-z0-9-_]*
tenantUserUidstringRequiredPattern: ^[A-Za-z0-9-_]+
subscriptionTypestring · enumRequiredPossible values:
Responses
201

Example response

application/json
subscriberUidstringRequiredPattern: ^[A-Za-z0-9-_]+
createdAtstring · date-timeRequired
createdBystringRequired
post/tenants/{tenantUid}/stores/{storeUid}/subscribers
201

Example response

Get subscriber

get
/tenants/{tenantUid}/stores/{storeUid}/subscribers/{subscriberUid}

Get a subscriber.

Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
storeUidstringRequired

Reference to a Store.

Pattern: ^[A-Za-z0-9-_]+
subscriberUidstringRequired

Reference to a subscriber

Pattern: ^[A-Za-z0-9-_]+
Responses
200

Example response

application/json
subscriberUidstringRequiredPattern: ^[A-Za-z0-9-_]+
createdAtstring · date-timeRequired
createdBystringRequired
get/tenants/{tenantUid}/stores/{storeUid}/subscribers/{subscriberUid}
200

Example response

Delete subscriber

delete
/tenants/{tenantUid}/stores/{storeUid}/subscribers/{subscriberUid}

Delete a subscriber.

Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
storeUidstringRequired

Reference to a Store.

Pattern: ^[A-Za-z0-9-_]+
subscriberUidstringRequired

Reference to a subscriber

Pattern: ^[A-Za-z0-9-_]+
Responses
204

No Content

No content

delete/tenants/{tenantUid}/stores/{storeUid}/subscribers/{subscriberUid}
204

No Content

No content

Last updated